<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Exercícios HTML</title>
    <style>
        #conteudo{
            padding: 30px 0px;

        }
    </style>
</head>
<body>
    <header>
        <h1>Exercícios HTML</h1>
    </header>

    <nav>
        <a href="exercicios/teste.html" > 00 - Teste |</a>
        <a href="exercicios/texto1.html" > 01 - Texto 1 |</a>
        <a href="exercicios/texto2.html" > 02 - Texto 2 |</a>
        <a href="exercicios/listas.html" > 03 - Listas |</a>
        <a href="exercicios/listaAninhada.html" > 04 - Listas Aninhadas |</a>
        <a href="exercicios/links.html" > 05 - Links |</a>
        <a href="exercicios/tabelas.html" > 06 - Tabelas |</a>
        <a href="exercicios/form/form.html" > 07 - Formulários |</a>
        <a href="exercicios/imagens.html" > 08 - Imagens |</a>
        <a href="exercicios/video.html" > 09 - Vídeos |</a>
        <a href="exercicios/tagsNaoVisuais.html" > 10 - Tags Nao Visuais |</a>
    </nav>

    <section id="conteudo" ></section>

    <footer>
        
        Curso de Web Moderno
    </footer>

    <script>
        document.querySelectorAll("a").forEach(link=>{
            const conteudo = document.getElementById('conteudo')

            link.onclick=function(e){
                e.preventDefault()
                fetch(link.href)
                    .then(resp=> resp.text())
                    .then(html=> conteudo.innerHTML = html)
            }
        })
    </script>

</body>
</html>